org.codehaus.plexus

## Class PlexusContainerHost

- java.lang.Object
- - org.codehaus.plexus.PlexusContainerHost

All Implemented Interfaces:
  Runnable

    public class PlexusContainerHost
    extends Object
    implements Runnable

A `ContainerHost`.

Version:
  $Id: PlexusContainerHost.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl, bob mcwhirter

### Constructor Summary

Constructors
Constructor and Description
`PlexusContainerHost()` Constuctor.

### Method Summary

Methods
`protected void` `customizeContainer(PlexusContainer container)`
`protected DefaultPlexusContainer` `getPlexusContainer()`
`boolean` `isStopped()`
`static void` `main(String[] args, ClassWorld classWorld)` Main entry-point.
`void` `run()` Asynchronous hosting component loop.
`void` `shutdown()` Shutdown this container.
`PlexusContainer` `start(ClassWorld classWorld, String configurationResource)`
`void` `waitForContainerShutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusContainerHost

    public PlexusContainerHost()

Constuctor.

### Method Detail

#### start

    public PlexusContainer start(ClassWorld classWorld,
                        String configurationResource)
                          throws FileNotFoundException,
                                 PlexusConfigurationResourceException,
                                 PlexusContainerException

Throws:
  `FileNotFoundException`
  `PlexusConfigurationResourceException`
  `PlexusContainerException`

#### getPlexusContainer

    protected DefaultPlexusContainer getPlexusContainer()

#### customizeContainer

    protected void customizeContainer(PlexusContainer container)

#### run

    public void run()

Asynchronous hosting component loop.

Specified by:
  `run` in interface `Runnable`

#### shutdown

    public void shutdown()

Shutdown this container.

#### waitForContainerShutdown

    public void waitForContainerShutdown()

#### isStopped

    public boolean isStopped()

#### main

    public static void main(String[] args,
            ClassWorld classWorld)

Main entry-point.

Parameters:
  `args` - Command-line arguments.